local player = Var "Player";
local t = Def.ActorFrame {
	LoadActor(NOTESKIN:GetPath( '_UpLeft', 'Receptor' ))..{
		Name="Receptor";
		InitCommand=function(self)
			(NOTESKIN:GetMetricA('ReceptorArrow', 'InitCommand'))(self);
			self:rotationy(180);
			self:animate(false);
		end;
		NoneCommand=NOTESKIN:GetMetricA('ReceptorArrow', 'NoneCommand');
	};
};
local fps = YA_NOTESKIN_FPS;
local wait = 1.0/fps
local last = 0;
local function update(self,delta)
	last = last+delta;
	if last > wait then
		last = 0;	-- [ja] last-wait にするほどの精度は不要 
		YA_NOTESKIN_UpdateReceptor(self:GetChild("Receptor"),player);
	end;
end;
t.InitCommand=cmd(SetUpdateFunction,update;);
return t;
